# multifdsink.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/basesink.h>`
`#include <gstreamermm/enums.h>`
`#include <glibmm/valuearray.h>`

Go to the source code of this file.

## Classes

class | Gst::MultiFdSink
| Gst::MultiFdSink - multifdsink plugin. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | GstSyncMethod { GST_SYNC_METHOD_LATEST = 0, GST_SYNC_METHOD_NEXT_KEYFRAME = 1, GST_SYNC_METHOD_LATEST_KEYFRAME = 2, GST_SYNC_METHOD_BURST = 3, GST_SYNC_METHOD_BURST_KEYFRAME = 4, GST_SYNC_METHOD_BURST_WITH_KEYFRAME = 5 }
enum | GstTCPUnitType { GST_TCP_UNIT_TYPE_UNDEFINED = 0, GST_TCP_UNIT_TYPE_BUFFERS = 1, GST_TCP_UNIT_TYPE_BYTES = 3, GST_TCP_UNIT_TYPE_TIME = 2 }
enum | GstClientStatus { GST_CLIENT_STATUS_OK = 0, GST_CLIENT_STATUS_CLOSED = 1, GST_CLIENT_STATUS_REMOVED = 2, GST_CLIENT_STATUS_SLOW = 3, GST_CLIENT_STATUS_ERROR = 4, GST_CLIENT_STATUS_DUPLICATE = 5, GST_CLIENT_STATUS_FLUSHING = 6 }
enum | Gst::FDSetMode { Gst::FD_SET_MODE_SELECT, Gst::FD_SET_MODE_POLL, Gst::FD_SET_MODE_EPOLL }
enum | Gst::TCPUnitType { Gst::TCP_UNIT_TYPE_UNDEFINED, Gst::TCP_UNIT_TYPE_BUFFERS, Gst::TCP_UNIT_TYPE_TIME, Gst::TCP_UNIT_TYPE_BYTES }
enum | Gst::RecoverPolicy { Gst::RECOVER_POLICY_NONE, Gst::RECOVER_POLICY_RESYNC_LATEST, Gst::RECOVER_POLICY_RESYNC_SOFT_LIMIT, Gst::RECOVER_POLICY_RESYNC_KEYFRAME }
enum | Gst::SyncMethod { Gst::SYNC_METHOD_LATEST, Gst::SYNC_METHOD_NEXT_KEYFRAME, Gst::SYNC_METHOD_LATEST_KEYFRAME, Gst::SYNC_METHOD_BURST, Gst::SYNC_METHOD_BURST_KEYFRAME, Gst::SYNC_METHOD_BURST_WITH_KEYFRAME }
enum | Gst::ClientStatus { Gst::CLIENT_STATUS_OK, Gst::CLIENT_STATUS_CLOSED, Gst::CLIENT_STATUS_REMOVED, Gst::CLIENT_STATUS_SLOW, Gst::CLIENT_STATUS_ERROR, Gst::CLIENT_STATUS_DUPLICATE, Gst::CLIENT_STATUS_FLUSHING }

## Enumeration Type Documentation

enum GstClientStatus

Enumerator:

  GST_CLIENT_STATUS_OK |
  GST_CLIENT_STATUS_CLOSED |
  GST_CLIENT_STATUS_REMOVED |
  GST_CLIENT_STATUS_SLOW |
  GST_CLIENT_STATUS_ERROR |
  GST_CLIENT_STATUS_DUPLICATE |
  GST_CLIENT_STATUS_FLUSHING |

enum GstSyncMethod

Enumerator:

  GST_SYNC_METHOD_LATEST |
  GST_SYNC_METHOD_NEXT_KEYFRAME |
  GST_SYNC_METHOD_LATEST_KEYFRAME |
  GST_SYNC_METHOD_BURST |
  GST_SYNC_METHOD_BURST_KEYFRAME |
  GST_SYNC_METHOD_BURST_WITH_KEYFRAME |

enum GstTCPUnitType

Enumerator:

  GST_TCP_UNIT_TYPE_UNDEFINED |
  GST_TCP_UNIT_TYPE_BUFFERS |
  GST_TCP_UNIT_TYPE_BYTES |
  GST_TCP_UNIT_TYPE_TIME |